Subject: Re: 2.6.27.18: bnx2/tg3: BUG: "scheduling while atomic" trying toifenslave a second interface to my bond

From: Ben Hutchings <[email-masked]>
Date: Tue, 05 May 2009 00:05:12 +0100

On Mon, 2009-05-04 at 12:06 -0700, David Miller wrote:
> From: Jay Vosburgh <[email-masked]>
> Date: Mon, 04 May 2009 12:03:37 -0700
> 
> > Paul Smith <[email-masked]> wrote:
> > 
> >>Hi Jay/David/etc.;
> >>
> >>This patch is critical for me to properly use mode 6 (balance-alb)
> >>bonding; I assume it will be needed for others as well.  I haven't
> >>checked to see if it's still necessary in 2.6.29/2.6.30, but I didn't
> >>notice it going into the latest 2.6.27.22, released today.
> >>
> >>Is this still unofficial?  Is there an official patch on the horizon?
> > 
> > 	David, please apply and queue for -stable:
> 
> Greg just posted that there will be no further 2.6.27.x -stable
> releases after the one he just made.

It's 2.6.28.x that he's dropping now
<http://article.gmane.org/gmane.linux.kernel/831202>, not .27.x - he'll
have to support the latter for years in SLES 11 anyway.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.